MKE2FS(8)

NAME
mke2fs - create a Linux second extended file system

SYNOPSIS
mke2fs [ -c | -l filename ] [ -b block-size ] [ -f fragment-size ] [ -i bytes-per-inode ] [ -m reserved-blocks-percentage ] [ -v ] device [ blocks-count ]

DESCRIPTION
mke2fs is used to create a Linux second extended file system on a device (usually a disk partition).
device is the special file corresponding to the device (e.g /dev/hdXX).
blocks-count is the number of blocks on the device. If omitted, mke2fs automagically figures the file system size.

OPTIONS

-b block-size
    Specify the size of blocks in bytes.

-c  Check the device for bad blocks before creating the file system, using a fast read-only test.

-f fragment-size
    Specify the size of fragments in bytes.

-i bytes-per-inode
    Specify the bytes/inode ratio. mke2fs creates an inode for every bytes-per-inode bytes of space on the disk. This value defaults to 4096 bytes. bytes-per-inode must be at least 1024.

-l filename
    Read the bad blocks list from filename .

-m reserved-blocks-percentage
    Specify the percentage of reserved blocks for the super-user. This value defaults to 5%.

-v  Verbose execution.

AUTHOR
This version of mke2fs has been written by Theodore T'so <tytso@mit.edu>.

BUGS
mke2fs accepts the -f option but currently ignores it because the second extended file system does not support fragments yet.
There may be some other ones. Please, report them to the author.

AVAILABILITY
mke2fs is available for anonymous ftp from ftp.ibp.fr (132.227.60.2) in /pub/linux/BETA/ext2fs.

SEE ALSO
dumpe2fs(8), e2fsck(8), tune2fs(8)